darcs

Darcs.PrintPatch

Synopsis

- printPatch :: Patchy p => p -> IO ()
- contextualPrintPatch :: Patchy p => Tree IO -> p -> IO ()
- printPatchPager :: Patchy p => p -> IO ()
- printFriendly :: Patchy p => [DarcsFlag] -> p -> IO ()

# Documentation

printPatch :: Patchy p => p -> IO ()

`printPatch` prints a patch on standard output.

contextualPrintPatch :: Patchy p => Tree IO -> p -> IO ()

`contextualPrintPatch` prints a patch, together with its context, on standard output.

printPatchPager :: Patchy p => p -> IO ()

`printPatchPager` runs '$PAGER' and shows a patch in it.

printFriendly :: Patchy p => [DarcsFlag] -> p -> IO ()

``printFriendly` opts patch` prints `patch` in accordance with the flags in opts, ie, whether `--verbose` or `--summary` were passed at the command-line.